amd: remove support for LLVM 5.0

Graphics / Mesa 3D Graphics Library / Mesa - Marek Olšák [amd.com] - 3 August 2018 22:36 EDT

Users are encouraged to switch to LLVM 6.0 released in March 2018.

fd1121e839 amd: remove support for LLVM 5.0
.travis.yml | 14 +--
configure.ac | 4 +-
meson.build | 4 +-
src/amd/common/ac_llvm_build.c | 129 +++++-----------------
src/amd/common/ac_llvm_helper.cpp | 4 -
src/gallium/drivers/radeonsi/si_shader.c | 24 ----
src/gallium/drivers/radeonsi/si_shader_nir.c | 7 --
src/gallium/drivers/radeonsi/si_shader_tgsi_alu.c | 8 +-
8 files changed, 40 insertions(+), 154 deletions(-)

Upstream: cgit.freedesktop.org


  • Share